SDK Download and Documentation

Platform

SDK

Docs

Change Log

Supported Versions

Android / Android TV / Fire TV SDK

Latest Version

API Docs

Change Log

Android 6.0+ (API 23+)

iOS / iPadOS / macOS (Catalyst) / tvOS / watchOS

Latest Version (See Notes)

API Docs

Change Log

iOS / tvOS 11.0+

macOS 10.15+
watchOS 5.0+
XCode 11.4.1+
Swift 5+

Flutter

pub.dev

API Docs

Change Log

Flutter 1.20.0+ / Android 6.0+ (API 23+) / iOS 11.0+

React Native

NPM / Latest

API Docs

Change Log

JavaScript (Web)

NPM / Latest

API Docs

Change Log

Java (Server)

Latest Version

API Docs

Change Log

Java 8+

Node.js (Server)

NPM / Latest

API Docs

Change Log

Python (Server)

PyPI / Latest

API Docs

Change Log

Python 3.0+

Roku

Latest Version

API Docs

Change Log

Apple SDK Notes

  • iOS + Catalyst, tvOS and watchOS are released together and share the same version number, API docs, and change log. The first version of the tvOS SDK is 2.19.0. The first version of the watchOS SDK is 3.3.1.

  • Starting with iOS (including tvOS and watchOS) SDK 3.3.5, with the addition of watchOS support, we now require Xcode 11.4.1+ and Swift 5.2 to use our SDK.

  • Starting with iOS SDK 3.4.19, iOS, tvOS and watchOS are combined into a single SDK. The last version of the separate tvOS and watchOS SDKs is 3.4.18.

# common concepts